#pragma once
#include <kiwano/kiwano.h>
using namespace kiwano;

#include "SquirrelStage.h"
KGE_DECLARE_SMART_PTR(SquirrelTownStage);

class SquirrelTownStage :
    public Stage
{
private:
    float Base_X = 0;
    float Base_Y = 0;
public:
    //构造函数必须有名字
    SquirrelTownStage(std::string gName) {
        this->SetName(gName);

        PushBaseUi();
    }

    //创建基础图层
    void PushBaseUi();
    //进入场景
    void OnEnter() override;
    //退出场景
    void OnExit()override;
    //渲染场景 Proc
    void OnUpdate(Duration dt)override;
};

